Ben
Burton
12 de Abril de 2003
kapptemplate
1

# `kapptemplate`

Cria a infra-estrutura para desenvolver uma aplicação para o KDE

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Descrição

O `kapptemplate` é um programa para a consola que irá criar a infra-estrutura necessária para desenvolver várias aplicações do &kde;. Ele toma conta do código do autoconf/automake, assim como a oferta de um esqueleto e de um exemplo de como ficará o código, tipicamente.

Este utilitário faz parte do Kit de Desenvolvimento de Software (SDK) do &kde;.

## Opções

### Opções Gerais

`--help`

  Mostra um resumo completo das opções.

`--no-init`

  Não executa o `make` `-f` `Makefile.cvs`

`--default`

  Usa os valores predefinidos em vez de os perguntar.

### Tipos de Infra-Estruturas

`--full-app`

  Cria uma aplicação completa do KDE.

`--kpart-app`

  Cria uma aplicação KPart completa.

`--kpart-plugin`

  Cria a infra-estrutura para um 'plugin' do KPart.

`--existing`

  Converte o código existente para uma infra-estrutura do KDE baseada no automake/autoconf.

## Ficheiros

`~/.kapptemplate`

  Guarda os valores predefinidos

## Veja Também

`$PREFIX/share/doc/kapptemplate`

## Autores

O `kapptemplate` foi criado por &Kurt.Granroth; &Kurt.Granroth.mail;

Esta página de manual foi preparada por Ben Burton bab@debian.org